[Setup]
#define AppName "Rhapsody"
AppName={#AppName}
AppVersion=1.0.8

DefaultDirName={pf}\Libre Wave\Rhapsody
DefaultGroupName={#AppName}
Compression=lzma2
SolidCompression=yes
OutputDir=.\build
ArchitecturesInstallIn64BitMode=x64
OutputBaseFilename={#AppName} Installer 1.0.8
LicenseFile=License.txt
PrivilegesRequired=admin

SetupLogging=yes
ChangesAssociations=no

[Types]
Name: "full"; Description: "Full installation"
Name: "custom"; Description: "Custom installation"; Flags: iscustom

[Dirs]
Name: "{app}\"; Permissions: users-modify powerusers-modify admins-modify system-modify

[Components]
Name: "app"; Description: "{#AppName} Standalone application"; Types: full custom;
Name: "vst3_64"; Description: "{#AppName} 64-bit VST3i Plugin"; Types: full custom; Check: Is64BitInstallMode;

[Files]

; Standalone
Source: "{#AppName}.exe"; DestDir: "{app}"; Flags: ignoreversion; Components: app; Check: Is64BitInstallMode

; VST3
Source: "{#AppName}.vst3\*"; DestDir: "C:\Program Files\Common Files\VST3\{#AppName}.vst3"; Flags: ignoreversion recursesubdirs; Components: vst3_64; Check: Is64BitInstallMode

[Icons]
Name: "{group}\{#AppName}"; Filename: "{app}\{#AppName}.exe"; Check: Is64BitInstallMode
Name: "{group}\Uninstall {#AppName}"; Filename: "{app}\unins000.exe"

[Code]
var
  OkToCopyLog : Boolean;

procedure CurStepChanged(CurStep: TSetupStep);
begin
  if CurStep = ssDone then
    OkToCopyLog := True;
end;

procedure DeinitializeSetup();
begin
  if OkToCopyLog then
    FileCopy (ExpandConstant ('{log}'), ExpandConstant ('{app}\InstallationLogFile.log'), FALSE);
  RestartReplace (ExpandConstant ('{log}'), '');
end;

[UninstallDelete]
Type: files; Name: "{app}\InstallationLogFile.log"
