@echo off

set buildStandalone=1
set buildPlugin=1
set buildInstaller=1

set hiseSource=D:\HISE
set project=Libre App
set xmlFile=libreApp
set projectFolder=D:\Projects\libre app

set hisePath=%hiseSource%\projects\standalone\Builds\VisualStudio2017\x64\Release\App\HISE.exe
set innoSetup=C:\Program Files (x86)\Inno Setup 6\ISCC.exe
set packagingFolder=%projectFolder%\Packaging\Windows

:BuildProject
REM  ====================================================================================

%hisePath% set_hise_folder "-p:%hiseSource%"
%hisePath% set_project_folder "-p:%projectFolder%"

echo Changing directory
cd /d "%projectFolder%"

echo Cleaning project
%hisePath% clean -p:"%projectFolder%" --all

if %buildStandalone%==1 (
	echo Exporting "%project%" Standalone
	%hisePath% export_ci "%projectFolder%\XmlPresetBackups\%xmlFile%.xml" -t:standalone -a:x64
	call "%projectFolder%\Binaries\batchCompile.bat"
)

if %buildPlugin%==1 (
	echo Exporting "%project%" Plugins
	%hisePath% export_ci "%projectFolder%\XmlPresetBackups\%xmlFile%.xml" -t:instrument -p:VST3 -a:x64
	call "%projectFolder%\Binaries/batchCompile.bat"
)

:CopyFiles
echo Copying files
REM  ====================================================================================

xcopy /E /Y "Binaries\Compiled\App\*.exe*" "%packagingFolder%"
xcopy /E /Y "Binaries\Compiled\VST3\*.vst3*" "%packagingFolder%\%project%.vst3\Contents\x86_64-win\"

:BuildInstaller
echo Building installer
REM  ====================================================================================

if %buildInstaller%==1 (
 	"%innoSetup%" "%packagingFolder%\WinInstaller.iss"
	xcopy /Y "%packagingFolder%\build\%project% Installer *.exe" "%packagingFolder%"
	rmdir /S /Q "%packagingFolder%\build"
)

:end
